Skip to content
New issue

Have a question about this project? Sign up for a free GitHub account to open an issue and contact its maintainers and the community.

By clicking “Sign up for GitHub”, you agree to our terms of service and privacy statement. We’ll occasionally send you account related emails.

Already on GitHub? Sign in to your account

Second WebRTC crash - with attached console log #5354

Open
yeroca opened this issue Feb 12, 2025 · 0 comments
Open

Second WebRTC crash - with attached console log #5354

yeroca opened this issue Feb 12, 2025 · 0 comments

Comments

@yeroca
Copy link

yeroca commented Feb 12, 2025

-1739324788252.log

Screenshot

Note: If you are capturing from a browser there is limited support for screenshots, only captures the modeling scene.
If you are on MacOS native screenshots may be disabled by default. To enable native screenshots add Zoo Modeling App to System Settings -> Screen & SystemAudio Recording for native screenshots.

Core Dump

coredump-c2c50c17-c50f-4d13-8d0a-dfd91aca3ba6.json

Reference ID: c2c50c17-c50f-4d13-8d0a-dfd91aca3ba6

KCL Code
holeFudge = 0.4
frontBarD = 5.0
yBarD = 6.7
slideGap = 0.7
lowerBlockTransHoleD = frontBarD + slideGap + holeFudge
lowerBlockTransHoleR = lowerBlockTransHoleD / 2
upperBlockLongHoleD = yBarD + holeFudge
upperBlockLongHoleR = upperBlockLongHoleD / 2
upperBlockTransHoleD = yBarD + holeFudge
upperBlockTransHoleR = upperBlockTransHoleD / 2
tubeClr = 1.5
lowerBlockH = lowerBlockTransHoleD + 2 * tubeClr
upperBlockH = upperBlockLongHoleD + 2 * tubeClr
elevateH = 5
upperBlockL = 25
lowerBlockL = 70
blockSz = max(upperBlockH, lowerBlockH)

slotL = 10
slotH = 1

fn slot () {
  slotSketch = startSketchOn('XZ')
    |> startProfileAt([0, -(blockSz - slotH) / 2], %)
    |> xLine(slotL, %)
    |> yLine(-slotH, %)
    |> xLine(-slotL, %)
    |> close(%)
  return slotSketch
}
sketch001 = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> yLine(blockSz, %, $edgeA)
  |> xLine(blockSz, %, $edgeB)
  |> yLine(-blockSz, %, $edgeC)
  |> xLine(upperBlockL - blockSz, %, $edge1)
  |> yLine(-(elevateH + blockSz), %, $edge2)
  |> xLine(lowerBlockL - blockSz, %, $edge3)
  |> yLine(-blockSz, %, $edge4)
  |> xLine(-lowerBlockL, %, $edge5)
  |> yLine(blockSz + elevateH, %, $edge6)
  |> xLine(-(upperBlockL - blockSz), %, $edge7)
  |> line(end_absolute = [profileStartX(%), profileStartY(%)], %)
  |> close(%)
  |> hole(circle({
       center = [blockSz / 2, blockSz / 2],
       radius = upperBlockTransHoleR
     }, %), %)
  |> hole(circle({
       center = [
         upperBlockL + lowerBlockL - blockSz - lowerBlockTransHoleR - tubeClr,
         -(blockSz + elevateH + blockSz / 2)
       ],
       radius = lowerBlockTransHoleR
     }, %), %)
rad = 3
extrude001 = extrude(blockSz, sketch001)
  |> fillet({
       radius = rad,
       tags = [
       getNextAdjacentEdge(edgeA),
          getNextAdjacentEdge(edgeB),
          getNextAdjacentEdge(edgeC),
          getNextAdjacentEdge(edge2),
          getNextAdjacentEdge(edge3),
          getNextAdjacentEdge(edge4),
          getNextAdjacentEdge(edge5),
          getNextAdjacentEdge(edge6)
       ]
     }, %)

sketch006 = startSketchOn(extrude001, 'START')
  |> startProfileAt([-25, 0], %)
  |> xLine(upperBlockL, %)
  |> yLine(-upperBlockH, %)
  |> xLine(-upperBlockL, %)
  |> lineTo([profileStartX(%), profileStartY(%)], %)
  |> close(%)

sketch007 = startSketchOn(extrude001, 'END')
  |> startProfileAt([0, 0], %)
  |> xLine(upperBlockL, %)
  |> yLine(-upperBlockH, %)
  |> xLine(-upperBlockL, %)
  |> lineTo([profileStartX(%), profileStartY(%)], %)
  |> close(%)

frontFaceOff = blockSz
backFaceOff = 0
bevel = 3
plane1 = offsetPlane('XZ', frontFaceOff + bevel)
sketch010 = startSketchOn(plane1)
  |> startProfileAt([0, -bevel], %)
  |> xLine(upperBlockL, %)
  |> yLine(-(upperBlockH - (2 * bevel)), %)
  |> xLine(-upperBlockL, %)
  |> lineTo([profileStartX(%), profileStartY(%)], %)
  |> close(%)
loft001 = loft([sketch007, sketch010])

sketch008 = startSketchOn('XZ')
  |> startProfileAt([0, 0], %)
  |> xLine(upperBlockL, %)
  |> yLine(-upperBlockH, %)
  |> xLine(-upperBlockL, %)
  |> lineTo([profileStartX(%), profileStartY(%)], %)
  |> close(%)
plane2 = offsetPlane('XZ', -bevel)
sketch011 = startSketchOn(plane2)
  |> startProfileAt([0, -bevel], %)
  |> xLine(upperBlockL, %)
  |> yLine(-(upperBlockH - (2 * bevel)), %)
  |> xLine(-upperBlockL, %)
  |> lineTo([profileStartX(%), profileStartY(%)], %)
  |> close(%)
loft002 = loft([sketch008, sketch011])

sketch002 = startSketchOn(extrude001, seg01)
  |> startProfileAt([0, 0], %)
  |> circle({
       center = [blockSz / 2, -blockSz / 2],
       radius = upperBlockLongHoleR
     }, %)
extrude2 = extrude(-upperBlockL, sketch002)


Sign up for free to join this conversation on GitHub. Already have an account? Sign in to comment
Labels
None yet
Projects
None yet
Development

No branches or pull requests

1 participant